<?
if (!defined('webid')) {
    exit();
}
error_reporting( 1 );

if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) {
    header("Location: /");
	exit();
}
?>
<script type="text/javascript">
function gofilter(mode) {
    setCookie("tasks",mode,"Mon, 01-Jan-2020 00:00:00 GMT");
    FLAX.Html.thread['flax'].repeat();
    return false;
}
function setCookie (name, value, expires, path, domain, secure) {
    document.cookie = name + "=" + escape(value) +
    ((expires) ? "; expires=" + expires : "") +
    ((path) ? "; path=" + path : "") +
    ((domain) ? "; domain=" + domain : "") +
    ((secure) ? "; secure" : "");
}
</script>
<h3>Здесь зарабатывают, выполняя интересные задания</h3>
<? if ($_GET['view']) {?>
Внимательно прочтите и точно следуйте инструкции к выполнению задания. Рекламодатель имеет право отклонить вашу работу, если условия выполнения не были соблюдены в полной мере. Помните так же, что существует максимальный срок, за который вы должны успеть выполнить задание. По истечении этого срока заявка на выполнение аннулируется.<br /><br />
<?} else {?>
На <b><?=$sitename ?></b> есть много чего, за что платят реальные деньги: просмотр рекламных сайтов, чтение писем, а так же выполнение несложных заданий. Работа не пыльная и интересная. А вместе с рефераллами - ещё и весьма доходная!
<?
}
if ($finestatus != '0') {
    echo '
        <div class="alert alert-block alert-error fade in">
            <h4 class="alert-heading">Внимание! На ваш аккаунт наложен штраф!</h4>
            <p>Ваш акаунт частично заблокирован за нарушение правил ('.$fine_text.') Для разблокировки аккаунта, вам необходимо оплатить штраф за нарушение, если вы не согласны с этим, можете покинуть проект, ваш аккаунт будет удален в течение 10 суток.</p>
            <p>
              <a class="btn btn-danger" href="/basket">Оплатить штраф</a> <a class="btn" href="/tos">Правила</a>
            </p>
        </div>';
} else {
if ($pemail == '') {
    echo '
	    <div class="alert alert-block alert-error fade in">
            <h4 class="alert-heading">У Вас не указан WM кошелек!</h4>
            <p>Доступ в раздел заработка будет заблокирован до тех пор пока вы не укажете свой WMR кошелек в системе. Пожалуйста, перейдите в раздел <b>Личные данные</b> и укажите WMR кошелек, затем нажмите кнопку <b>сохранить</b>. </p>
        </div>';
} else {
if ($keyok != 1) {
    echo '
	    <div class="alert fade in">
            <strong>Аккаунт не активирован!</strong><br> Пожалуйста, перейдите в Мои личные данные и активируйте аккаунт. Ключ отправлен вместе с регистрационными данными на email адрес указанный при регистрации .
        </div>';
} else {
if (isset($_GET['view'])) {
    $sql = mysql_fetch_array(mysql_query("SELECT * FROM seo_tasks WHERE id = '" . intval($_GET['view']) . "'"));
    if ($sql['id'] == '') {
        echo '<div class="erpay"><span>Задание не существует</span></div>';
    } else
    if ($sql['paused'] == 1) {
        echo '<div class="erpay"><span>Задание не активно</span></div>';
    } else
    if ($sql['id'] != '') {
    $provtask = mysql_fetch_array(mysql_query("SELECT COUNT(*) as count FROM seo_taskstats WHERE ident = '$sql[id]' and status = 0 or status = 3"));
    if (($sql['waits'] * $sql['price']) + ($sql['works'] * $sql['price']) + $sql['price'] > $sql['balance']) {
        echo '<div class="erpay"><span>На счету у рекламодателя недостаточно средст</span></div>';
        mysql_query("UPDATE seo_tasks SET paused = 1 WHERE id = '$sql[id]'");
    } else {
    $zzz = mysql_fetch_array( mysql_query( "SELECT username, id, avatar FROM tb_users WHERE id = '" . $sql['fromid'] . "'" ) );
    if (mysql_num_rows(mysql_query("SELECT id FROM seo_favtasks WHERE ident = '" . intval($_GET['view']) . "' and fromid = '" . $_SESSION['iduser'] . "'")) == 0) {
        $fav = '<a href="#" onclick="addfav(' . intval($_GET['view']) . ')"><img src="theme/img/ref_bonus.png" width="16" height="16" title="Добавить в избранное" border="0" id="favtask" /></a>';
    } else {
        $fav = '<a href="#" onclick="addfav(' . intval($_GET['view']) . ')"><img src="theme/img/ref_del.png" width="16" height="16" title="Удалить из избранного" border="0" id="favtask" /></a>';
    }
    ?>
    <style type="text/css">
    #error {
        color: #800000;
        text-align: center;
        padding: 5px 0;
        font-weight: bold;
    }
    </style>
    <script type="text/javascript">
    function addcomment(tid) {
        $('#q_content').Qbox({
            'title': '',
            'width': 410,
            'minHeight': 30,
            'fadespeed': 300,
            'url': 'taskcomment.php?func=addcom',
            'param': 'id='+tid
        });
        return false;
    }
    function viewcomm(tid) {
        $('#q_content').Qbox({
            'title': '',
            'width': 600,
            'height': 400,
            'fadespeed': 300,
            'url': 'taskcomment.php?func=viewcom',
            'param': 'id='+tid
        });
        return false;
    }
    function addfav(tid) {
        $.post('ajax.php?func=addfav',{
            id: tid
        }, function(data){
            if (data == 1){
                FLAX.Html.thread['flax'].repeat();
            }
        });
        return false;
    }
    $('#favtask').tipTip();
    
    function sendid() {
        $("#taskuserall").submit();
    }
    </script>
    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="otab">
        <thead>
            <th align="center" style="padding: 5px; background: #ebebeb; color: #212121; font-size: 12px; font-weight: normal;"> № <?=$sql['id']?> - <?=$sql['name']?></th>
        </thead>
        <tr>
            <td style="font-size: 11px;" class="rt">
                <table width="100%" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                        <td width="100" valign="top" align="center" rowspan="7">
						<a href="/id<?=$zzz['id']?>" >
						<img src="avp/<?=$zzz['avatar']?>" width="60" height="60" class="avatar" />
						</a>
						</td>
                        <td width="40%">Рекламодатель</td>
                        <td>ID: <?=$zzz['id']?> - <?=$zzz['username']?></td>
                    </tr>
                    <tr>
                        <td>Вознаграждение</td>
                        <td><span style="font-size: 14px;"><?=moneyraund($sql['price'] * 5 / 6, 2)?></span> <?=$sitevalname?></td>
                    </tr>
                    <tr>
                        <td>Бюджет</td>
                        <td><span style="font-size: 14px;"><?=moneyraund($sql['balance'], 2)?></span> <?=$sitevalname?></td>
                    </tr>
					<tr>
                        <td>Рейтинг</td>
                        <td><span class='rating<?=intval($sql['reyt']); ?>'></span></td>
                    </tr>
                    <tr>
                        <td>Все задания</td>
                        <td><form action="/tasks" method="POST" id="taskuserall"><input type="hidden" name="id" value="<?=$zzz['id']?>" /><a href="#" onclick="sendid();" class="link">Посмотреть</a></form></td>
                    </tr>
                    <tr>
                        <td>Статистика</td>
                        <td><span style="color: #8D950B;">Одобрил: <b><?=$sql['goods']?></b></span> / <span style="color: #800000;">Отклонил: <b><?=$sql['no']?></b></span><br><span style="color: #1c62b9;">Выполняют: <b><?=$sql['works']?></b></span> / <span style="color: #1c62b9;">На проверке: <b><?=$sql['waits']?></b></span>&nbsp;&nbsp;&nbsp;<span style="top: 2px; position: relative;"><?=$fav?></span></td>
                    </tr>
                    <tr>
                        <td>Отзывы о задании</td>
                        <td><a href="#" class="link" onclick="viewcomm(<?=$sql['id']?>)">(<?=mysql_num_rows(mysql_query("SELECT id FROM seo_taskcomms WHERE ident='$sql[id]'"));?>)</a>&nbsp;&nbsp;&nbsp;<? if(mysql_num_rows(mysql_query("SELECT id FROM seo_taskstats WHERE ident='$sql[id]' and fromid='$_SESSION[iduser]' and status='1'")) != 0){?><a href="#" onclick="addcomment(<?=$sql['id']?>)" class="link">Оставить отзыв</a><?}?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td style="background: #ebebeb; font-size: 12px; padding: 5px;" align="center">Описание задания</td>
        </tr>
        <tr>
            <td class="rt" style="background: #FAF7BA;"><div class="vcom">
            <?
            $array = explode(" ", $sql['text']);
            for ($i = 0, $array_num = count($array); $i < $array_num; $i++) {
                $word_split = wordwrap($array[$i], 70, "<br />", true);
                echo $word_split . ' ';
            }
            ?>
            </div></td>
        </tr>
        <tr>
            <td style="background: #ebebeb; font-size: 12px; padding: 5px;" align="center">Что нужно указать для выполнения задания</td>
        </tr>
        <tr>
            <td class="rt" style="color: #800000;"><div class="vcom">
            <?
            $array = explode(" ", $sql['description']);
            for ($i = 0, $array_num = count($array); $i < $array_num; $i++) {
                $word_split = wordwrap($array[$i], 70, "<br />", true);
                $word_split = ereg_replace("(\r\n|\n|\r)", "<br />", $word_split);
                echo $word_split . ' ';
            }
            ?>
            </div></td>
        </tr>
        <tr>
            <td class="lt" style="color: #800000; background: #fababa;">На выполнение этого задания выделяется не более<b>
            <?
            if ($sql['maxtime'] == 3600) {echo "1 часа"; $t = 1 * 60;} 
    	    if ($sql['maxtime'] == 7200) {echo "2-x часов"; $t = 2 * 60;}
    	    if ($sql['maxtime'] / 3600 == 6) {echo "6 часов"; $t = 6 * 60;}
    	    if ($sql['maxtime'] / 3600 == 12) {echo "12 часов"; $t = 12 * 60;}
    	    if ($sql['maxtime'] == 86400) {echo "1 дня"; $t = 86400;}
    	    if ($sql['maxtime'] / 86400 == 2) {echo "2-x дней"; $t = 86400 * 2;}
    	    if ($sql['maxtime'] / 86400 == 3) {echo "3-x дней"; $t = 86400 * 3;}
    	    if ($sql['maxtime'] / 86400 == 4) {echo "4-x дней"; $t = 86400 * 4;}
    	    if ($sql['maxtime'] / 86400 == 5) {echo "5 дней";  $t = 86400 * 5;}
    	    if ($sql['maxtime'] / 86400 == 6) {echo "6 дней"; $t = 86400 * 6;}
    	    if ($sql['maxtime'] / 86400 == 7) {echo "7 дней"; $t = 86400 * 7;}
    	    if ($sql['maxtime'] / 86400 == 10) {echo "10 дней"; $t = 86400 * 10;}
    	    if ($sql['maxtime'] / 86400 == 15) {echo "15 дней"; $t = 86400 * 15;}
    	    if ($sql['maxtime'] / 86400 == 20) {echo "20 дней"; $t = 86400 * 20;}
    	    if ($sql['maxtime'] / 86400 == 30) {echo "30 дней"; $t = 86400 * 30;}
            ?></b>. Чтобы выполнить задание, нажмите на кнопку «Начать выполнение». Необходимую подтверждающую информацию о выполнении задания нужно будет ввести здесь же, на странице задания. <b>Успехов!</b>
            </td>
        </tr>
        <?
        $sql2 = mysql_query("SELECT * FROM seo_taskstats WHERE ident = '" . $sql['id'] . "' and fromid = '" . $_SESSION['iduser'] . "'");
        if (mysql_num_rows($sql2) != 0) {
            $row2 = mysql_fetch_array($sql2);
            $daytolong = time() + $sql['maxtime'];
            
            if ($sql['many'] == 0 and $row2['status'] == 1) {
                ?>
                <tr><td class="lt" style="color: #800000; font-weight: bold;" align="center">Вы уже выполняли это задание!</td></tr>
                <?
            } else
            if ($row2['status'] == 0) {
                ?>
                <tr><td class="lt" style="color: #804500; background: #fadbba; font-weight: bold;" align="center">Заданиe находится на проверке у рекламодателя</td></tr>
                <?
            } else
            if ($row2['anstime'] > time()) {
                ?>
                <tr><td class="lt" style="color: #800000; font-weight: bold;" align="center">Еще не прошло 24 часа с момента выполения задания!</td></tr>
                <?
            } else
            if ($sql['many'] == 1 and $row2['status'] != 3) {
                ?>
                <script type="text/javascript">
                function advup(tid) {
                    $.post('ajax.php?func=taskadvup',{
                        id: tid
                    }, function(data){
                        if(data == 1) {
                            FLAX.Html.thread['flax'].repeat();
                        }
                    });
                    return false;
                }
                </script>
                <?
                if ($zzz['id'] == $_SESSION['iduser']) {
                    ?>
                    <tr><td style="color: #800000; padding: 5px;" align="center">Вы не можете выполнить свое задание</td></tr>
                    <?
                } else {
                ?>
                <tr><td style="background: #ebebeb; padding: 5px;" align="center"><a href="#" onclick="advup(<?=$sql['id']?>)" class="big_btn">Начать выполнение</a></td></tr>
                <?
                }
            } else {
                ?>
                <script type="text/javascript">
                function reset(tid) {
                    $.post('ajax.php?func=taskreset',{
                        id: tid
                    }, function(data){
                        if(data == 1) {
                            FLAX.Html.thread['flax'].repeat();
                        }
                    });
                    return false;
                }
                function tanswer(tid) {
                    $.post('ajax.php?func=tanswer',{
                        id: tid,
                        answer: $('#taskanswer').val()
                    }, function(data){
                        if(data == 1) {
                            $('#t2').html('<div align="center"><a href="/tasks" class="big_btn">Назад к заданиям</a></div>');
                            $('#t1 td').css({'color':'#005780'});
                            $('#t1 td').html('<div style="padding:3px; text-align:center;">Отчет успешно отправлен</div>');
                        }
                    });
                    return false;
                }
                </script>
                <tr id="t1"><td class="rt">
                • Вы начали выполнять это задание <?=date("<b>d.m.Y</b> в <b>H:i</b>", $row2['starttime']); ?><br />
                • Задание необходимо выполнить не позднее <?=date("<b>d.m.Y</b> в <b>H:i</b>", $row2['starttime'] + $sql['maxtime']); ?><br />
                <br />
                Если вы полностью выполнили задание, напишите в форме ниже то, что необходимо указать для подтверждения и нажмите кнопку «Отправить отчёт»<br /><br />
                <div align="center" style="color: #8D950B;">Ваш IP адрес: <?=$laip = getRealIP(); ?></div>
                <div align="center" style="color: #8D950B;">Чтобы выполнить задание, вы должны перейти по <a href='<?=$sql['url']?>' target='_blank' class="link">этой ссылке</a></div>
                <div align="center" style="padding: 5px;"><textarea id="taskanswer"></textarea></div>
                </td></tr>
                <tr id="t2"><td style="background: #ebebeb; padding: 5px;">
                <div align="center" style="margin: 2px;"><a href="#" onclick="tanswer(<?=$sql['id']?>)" class="big_btn">Отправить отчет</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#" onclick="reset(<?=$sql['id']?>)" class="big_btn">Отказаться</a></div>
                </td></tr>
                <?
            }
        } else {
                ?>
                <script type="text/javascript">
                function adv(tid) {
                    $.post('ajax.php?func=taskadv',{
                        id: tid
                    }, function(data){
                        if(data == 1) {
                            FLAX.Html.thread['flax'].repeat();
                        }
                    });
                    return false;
                }
                </script>
                <?
                if ($zzz['id'] == $_SESSION['iduser']) {
                    ?>
                    <tr><td style="color: #800000; padding: 5px;" align="center">Вы не можете выполнить свое задание</td></tr>
                    <?
                } else {
                ?>
                <tr><td style="background: #ebebeb; padding: 5px;" align="center"><a href="#" target="_blank" onclick="adv(<?=$sql['id']?>);" class="big_btn">Начать выполнение</a></td></tr>
                <?
                }
            }
        ?>
    </table>
    <?
    }
    }
} else {
    ?>
    <script type="text/javascript">
    $('.tclose').tipTip();
    </script>
    <?
    echo '<div align="center" style="margin:10px"><h4>Зарабатывай на выполнении заданий</h4></div>';
    
    if ($_POST['status'] == 100) $_SESSION['zapros'] = '';
    if ($_POST['status'] == 101) $_SESSION['zapros'] = 'and inblock != 0';
    if ($_POST['status'] == 102) $_SESSION['zapros'] = 'and many = 1';
    if ($_POST['status'] == 103) $_SESSION['zapros'] = 'and id IN(SELECT ident FROM seo_favtasks WHERE fromid = ' . $_SESSION['iduser'] . ')';
    if ($_POST['status'] == 104) $_SESSION['zapros'] = 'and id IN(SELECT ident FROM seo_taskstats WHERE status = 3 and fromid = ' . $_SESSION['iduser'] . ')';
    if (isset($_POST['cat'])) { if ($_POST['cat'] == 100) {$_SESSION['zapros'] = '';} else { $cat = intval($_POST['cat']); $_SESSION['zapros'] = "and cat = '$cat'"; }}
    if (isset($_POST['tasknum']) and $_POST['tasknum'] != '') { $num = intval($_POST['tasknum']); $_SESSION['zapros'] = "and id = '$num'"; }
    if (isset($_POST['taskuser']) and $_POST['taskuser'] != '') { $us = intval($_POST['taskuser']); $_SESSION['zapros'] = "and fromid='$us'"; }
    if (isset($_POST['taskpricemin']) and $_POST['taskpricemin'] != '') {
        $minprice = floatval($_POST['taskpricemin']);
		$maxprice = floatval($_POST['taskpricemax']);
        if ($maxprice == '') { $maxprice = 10000000000; }
        if ($minprice < 0.2) { $minprice = 0.2; }
        $_SESSION['zapros'] = "and price >= '$minprice' and price <= '$maxprice'";
    }
    /*if (isset($_POST['taskpricemax']) and $_POST['taskpricemax'] > $minprice and $_POST['taskpricemax']!='') {
        $maxprice = floatval($_POST['taskpricemax']);
        $_SESSION['zapros'] = "and price < $maxprice ";
    }*/
    if (isset($_POST['taskurl'])) {
        $_POST['taskurl'] = htmlspecialchars($_POST['taskurl']);
        $_SESSION['zapros'] = "and url LIKE '%" . $_POST['taskurl'] . "%'";
    }
    if (isset($_POST['id'])) {
        $idustask = intval($_POST['id']);
        $_SESSION['zapros'] = "and fromid = '$idustask'";
    }
    
    $zapros = $_SESSION['zapros'];
    
    $kolvo = 10;
    $all = mysql_num_rows(mysql_query("SELECT id FROM seo_tasks WHERE modered = 1 and paused = 0 and balance >= price $zapros order by levelup desc"));
    $allpage = ceil($all/$kolvo);
    $this_page = (isset($_GET['pg'])) ? intval($_GET['pg']) : 1 ;
    if ($this_page < 1) $this_page = 1;
    if ($this_page > $allpage) $this_page = $allpage;
    $start = $this_page * $kolvo - $kolvo;
    if ($start == -10) { $start = 1; }
    
    include_once 'functiones.php';
    
    ?>
    <div align="center" class="contseach"><a href="#" class="link2" onclick="javascript:gofilter(0);">Статус</a>&nbsp;&nbsp;|&nbsp;&nbsp; <a href="#" class="link2" onclick="javascript:gofilter(1);">Категории</a>&nbsp;&nbsp;|&nbsp;&nbsp; <a href="#" class="link2" onclick="javascript:gofilter(2);">№ Задания</a>&nbsp;&nbsp;|&nbsp;&nbsp; <a href="#" class="link2" onclick="javascript:gofilter(3);">Рекламодатель</a>&nbsp;&nbsp;|&nbsp;&nbsp; <a href="#" class="link2" onclick="javascript:gofilter(4);">Цена</a>&nbsp;&nbsp;|&nbsp;&nbsp; <a href="#" class="link2" onclick="javascript:gofilter(5);">URl</a></div>
    <?
    if ($_COOKIE['tasks'] == 0) {
        ?>
        <div class="taskstatus"><form action="/tasks" method="post"><select name="status" id="status"><option value="100">Все задания</option><option value="101">VIP - задания</option><option value="102">Только многоразовые задания</option><option value="103">Только "Избранное"</option><option value="104">Над которыми работаю</option></select>&nbsp;&nbsp;&nbsp;<input type="submit" class="big_btn" value="Поиск" /></form><div class="str" style="top: -16px; left: 75px;"></div><a href="#" onclick="javascript:gofilter(999);" class="tclose" title="Закрыть"></a></div>
        <?
    }
    if ($_COOKIE['tasks'] == 1) {
        ?>
        <div class="taskstatus"><form action="/tasks" method="post"><select name="cat" id="cat"><option value="100">Все задания</option><option value="1">Только регистрация</option><option value="9">Только клики</option><option value="2">Регистрация с активностью</option><option value="3">Постинг в форумы и/или блоги</option><option value="4">Написать статью или пресс-релиз</option><option value="5">Оставить отзыв</option><option value="6">Проголосовать</option><option value="7">Играть в игры</option><option value="8">Инвестировать</option><option value="0">Прочее</option></select>&nbsp;&nbsp;&nbsp;<input type="submit" class="big_btn" value="Поиск" /></form><div class="str" style="top: -16px; left: 143px;"></div><a href="#" onclick="javascript:gofilter(999);" class="tclose" title="Закрыть"></a></div>
        <?
    }
    if ($_COOKIE['tasks'] == 2) {
        ?>
        <div class="taskstatus"><form action="/tasks" method="post"><input class="val" type="edit" name="tasknum" value="" size="38" />&nbsp;&nbsp;&nbsp;<input type="submit" class="big_btn" value="Поиск" /></form><div class="str" style="top: -16px; left: 225px;"></div><a href="#" onclick="javascript:gofilter(999);" class="tclose" title="Закрыть"></a></div>
        <?
    }
    if ($_COOKIE['tasks'] == 3) {
        ?>
        <div class="taskstatus"><form action="/tasks" method="post"><input class="val" type="edit" name="taskuser" value="" size="38" />&nbsp;&nbsp;&nbsp;<input type="submit" class="big_btn" value="Поиск" /></form><div class="str" style="top: -16px; left: 321px;"></div><a href="#" onclick="javascript:gofilter(999);" class="tclose" title="Закрыть"></a></div>
        <?
    }
     if ($_COOKIE['tasks'] == 4) {
        ?>
        <div class="taskstatus"><form action="/tasks" method="post">от <input class="val" type="edit" name="taskpricemin" value="" size="10" /> до <input class="val" type="edit" name="taskpricemax" value="" size="10" />&nbsp;&nbsp;&nbsp;<input type="submit" class="big_btn" value="Поиск" /></form><div class="str" style="top: -16px; left: 400px;"></div><a href="#" onclick="javascript:gofilter(999);" class="tclose" title="Закрыть"></a></div>
        <?
    }
    if ($_COOKIE['tasks'] == 5) {
        ?>
        <div class="taskstatus"><form action="/tasks" method="post"><input class="val" type="edit" name="taskurl" value="http://" size="38" />&nbsp;&nbsp;&nbsp;<input type="submit" class="big_btn" value="Поиск" /></form><div class="str" style="top: -16px; left: 441px;"></div><a href="#" onclick="javascript:gofilter(999);" class="tclose" title="Закрыть"></a></div>
        <?
    }

    echo "<br /><table width='100%' style='margin-bottom: 5px;'><tr><td nowrap='nowrap'>";
    $nextp = $this_page + 1;
    $lastp = $this_page - 1;
    if ($this_page > 1) { echo "<a href='/tasks/pg=$lastp' class=\"link\"><span class='text14'>"; } else { echo "<span class='textgray'>"; } echo "&larr;&nbsp;Предыдущие</span>";
    if ($this_page == 1) { echo "</a>"; } echo "</td><td width='90%' align='center'>". navigation($allpage,'/tasks/pg=',1,1)."</td><td nowrap='nowrap'>";
    if ($this_page == $allpage) { echo "<span class='textgray'>"; } else { echo "<a href='/tasks/pg=$nextp' class=\"link\"><span class='text14'>"; } echo "Следующие&nbsp;&rarr;</span>"; 
    if ($this_page == $allpage) { echo "</a>"; } echo "</td></tr></table>";
    
    $sql=mysql_query("SELECT * FROM seo_tasks WHERE modered='1' and paused='0' and balance>=price $zapros order by levelup desc, time desc limit $start,$kolvo");
    ?>
    <table class='work-serf' width='100%' border='0' cellpadding='0' cellspacing='0'>
    <?
    $daytolong = time();
    while ($row = mysql_fetch_array($sql)) {
        $sss = mysql_fetch_array( mysql_query("SELECT ident, status, anstime, time FROM seo_taskstats WHERE ident = '" . $row['id'] . "' and fromid = '" . $_SESSION['iduser'] . "'") );
        
        switch($row['cat']){
            case '1': $catname="Только регистрация"; break;
			case '2': $catname="Регистрация с активностью"; break;
			case '3': $catname="Постинг в форумы/блоги"; break;
			case '4': $catname="Написать статью/пресс-релиз"; break;
			case '5': $catname="Оставить отзыв"; break;
			case '6': $catname="Проголосовать"; break;
			case '7': $catname="Играть в игры"; break;
			case '8': $catname="Инвестировать"; break;
			case '9': $catname="Только клики"; break;
			case '0': $catname="Прочее";
			break;
        };
                            
        /*if ($sss['ident'] == $row['id'] and $row['many'] == 0 and $sss['status'] == 1) {
            echo '';
        } else
        if ($sss['ident'] == $row['id'] and $sss['anstime'] > time() and $row['many'] == 1) {
            echo '';
        } else {*/
            if ($row['many'] == 1) {
                $img = '<img src="theme/img/vtvisit.png" width="36" height="36" />';
            } else {
                $img = '<img src="theme/img/tvisit.png" width="36" height="36" />';
            }
            if ($row['time'] > time() - 86400) {
                $newstat = '<font color="#800000">Новое</font>';
            } else {
                $newstat = '';
            }
            ?>
            <tr>
                <td width="50"><?=$img?></td>
                <td class="ln"><div style="position: relative;"><a href="/tasks/view=<?=$row['id']?>"><?=$row['name']?></a><br /><span>№<?=$row['id']?> - <?=$catname?></span><div style="position: absolute; right: 5px; top: 5px;"><?=$newstat?></div></div></td>
                <td width="100" class="ln" align="right"><span class='rating<?=intval($row['reyt']); ?>'></span><span class="price"><span style="font-size: 14px;"><?=round($row['price'] * 5 / 6, 2)?></span> <?=$sitevalname?></span></td>
            </tr>
            <?
        /*}*/
    }
    echo '</table>';
   }
  }
 } 
}
?>